

     










                            LhASFX User's Guide

                  Evaluation Version 1.2 - March 21, 1992















             ###      ###       #####    #####   ##### ##    ##
              ##       ##      ###  ##  ###  ## ###     ##  ##
              ##       ##      ##   ##  ##      ##      ##  ##
              ##       #####   #######   #####  ####     ####
              ##       ##  ##  ##   ##      ### ##      ##  ##
              ##   ##  ##  ##  ##   ##  ##   ## ##      ##  ##
             #######  ###  ### ##   ###  #####  ##     ##    ##

















                          Written by Stefan Boberg
                   Copyright (c) 1991,92 by Stefan Boberg


     


     V1.2                   LhASFX User's Guide                  Page 1




     0 - LhA      

        LhASFX is  part  of the LhA family of programs.  The same rules
     applies  to  this  program as LhA - read the `politics' section of
     the  manual for more information.  When you register yourself as a
     user  of  LhA,  you  automatically register as a user of LhASFX as
     well, and will receive updates at the same time as LhA updates.  

     1 - Introduction      

        LhASFX sole  purpose  in  life  is  to  create SFX-archives.  A
     SFX-archive  is  a  normal  LhA  archive with a special executable
     SFX-header  prepended to it, which makes it possible to list, test
     and  extract  files  from  the  archive  by means of executing it.
     Those  of  you who have used LHA or ARJ on MSDOS machines probably
     know  what  it  is.  It was written primarily to provide me with a
     good  way  of  distributing  my LhA package on BBS'es, FidoNet and
     other  computer networks. I think it is rather silly to distribute
     an  archiver  in an archive-file, since you then will need another
     archiver,  which  may also be archived and so on..  I've even seen
     examples  where the archiver was distributed in an archive created
     by itself! :) 

        There are  other  similar  programs  for the Amiga, but none as
     fast,  flexible  and  efficient as LhASFX.  The other programs use
     compression  methods  that  have  a much smaller compression ratio
     than  that  of  LhASFX,  and  use  their  own archive file format.
     LhASFX  uses  the  standard  LhArc/LhA  archive format, and LhASFX
     archives  can  easily  be converted to standard LhArc/LhA archives
     with  a  simple  command  ('UnSFX',  part  of the LhA package), or
     manipulated with the LhA archiving program directly.  

        Another advantage  LhASFX  has  compared  to other archivers is
     that  LhASFX  handles  archives  of  any  size in only 48K of RAM.
     While  other programs load the entire archive into memory at once,
     LhASFX loads the data when it needs it.  

     2 - System requirements     

        The LhASFX  program  will run on any Amiga system with at least
     512KB RAM and one diskdrive.  

        The SFX-Module  only  uses  about 48K memory when decompressing
     or   listing   archives,   regardless   of   archive   size.   The
     decompression  routines  of the SFX-module are less optimized than
     those  of  the real archiver LhA, because I consider size as being
     more  important  than  speed  in  this  case  (it  still  is fast,
     anyway!).  

     3 - How to use it   


     


     V1.2                   LhASFX User's Guide                  Page 2



        Using the  LhASFX program to create SFX archives is simple, the
     command line syntax is as follows: 

     LhASFX <Archive> [<destfile>] 


        Where <Archive>  is  the  name  of  the  archive  you  wish  to
     convert,  with  or  without  the  `.lha' or `.lzh' extension.  The
     optional  <destfile>  is  the  name  of the file you would like to
     hold  the  SFX  archive.   If  no  <destfile> is specified, LhASFX
     takes  the basename of <Archive> (i.e.  strips any extensions) and
     appends  a  `.run'  suffix  to  it  to  indicate  that  it  is  an
     executable  SFX  file.   If  you  specify a <destfile> without the
     `.run'  extension  LhASFX  will  put one there.  DO NOT DISTRIBUTE
     LhASFX ARCHIVES WITH ANY OTHER SUFFIX THAN `.RUN' PLEASE!! 


     3.1 `.displayme' files      


        Displayme files  are  files  with  names ending in `.displayme'
     (case  significant).  These  files  will be printed to STDOUT when
     the  archive  is  run (unpacked). In addition, the SFX module will
     ask  the  user if he/she wants to go on. If the user's response to
     the  question  is  negative,  the  SFX  module will skip all files
     until  the  next  .displayme  file.  Otherwise all files up to the
     next  .displayme file will be extracted. If the user responds with
     an  `s'  (for  `Skip  rest')  no more files in the archive will be
     extracted.  If the user responds with `a' all remaining files will
     be  extracted.  This  feature  is  useful for allowing the user to
     select  what  parts  of  an  archive he/she wishes to extract (for
     example  you  could  separate  sources, binaries and ARexx scripts
     from each other this way).  

        An example: 

        Say that  you  have 6 files, 2 source files, 2 binaries and two
     script  files  which  you  want  the user to be able to optionally
     extract. To do this you will have to: 

        1) Create  3  .displayme files, for example `source.displayme',
     `bin.displayme',  `scripts.displayme'.  In the displayme files you
     write  a  brief  description  of what the files contain and at the
     end a question phrase such as `extract sources?'.  

        2) Add  the  first displayme file to the archive with `LhA -2 a
     arc source.displayme'.  

        3) Then  add  the  two  source  files  with  `LhA -2 a arc PM.c
     Lh.c'.  



     


     V1.2                   LhASFX User's Guide                  Page 3


        4) Repeat  step  2  and  3  above  for  each  part  (`bin'  and
     `scripts' in this case) 

        5) Create a SFX archive with `LhASFX arc'.  

        6) All done! 


        Note that  you  have  to  add the `.displayme' files separately
     since  LhA  adds  the  files  in  alphabetic order, and not in the
     order specified on the command line.  


     4 - Limitations of the SFX module  

        The SFX  module  only  handles  the -lh5- and -lh4- compression
     modes,  and  of course stored files (-lh0-).  It does *NOT* handle
     the   old   -lh1-  compression  mode.   If  you  want  to  make  a
     SFX-archive  of  an  archive  which  uses  the  -lh1- compression,
     simply  use the LhA `c' command to convert to `-lh5-' compression,
     or  repack the normal way (unpack somewhere and then pack it again
     with the -2 switch).  

        The SFX module does NOT handle multiple-volume archives.  

        This is  the  evaluation  version  of  LhASFX,  and it does not
     contain  all features that the `real' version registered LhA users
     get.   The  `real' LhASFX contains some more switches, and the SFX
     module is smaller.  

























     


     V1.2                   LhASFX User's Guide                  Page 4


     5 Politics       

        For disclaimers,  licensing  information  etc., please refer to
     the user's manual for the LhA archiver.  

     5.1 Using LhASFX for distribution    

        ShareWare and  FreeWare  authors  are  free  to  use LhASFX for
     distributing  their  creations  if the conditions listed below are
     met.  Registration  is  not required, but appreciated (you can get
     special  versions).  Commercial  usage  is  not  allowed, unless a
     written  agreement  is  made  with  the  author  of LhASFX (Stefan
     Boberg) first.  


        Usage conditions: 


        If LhASFX  is  used  to prepare distribution on magnetic media,
     the   entire   LhASFX  original  unmodified  distribution  archive
     contents  must  be  included on at least one of the disks/whatever
     in  a  subdirectory  named  `LhASFX'.   The  relevant  files  are:
     `LhASFX'   -   main  program,  `LhASFX.man'  -  this  manual,  and
     `Update.txt' - Program modification history.  


        The LhASFX  program  used  to  create the SFX archives must not
     have been modified.  


        The LhASFX-created  SFX  archives  must  have  names  ending in
     `.RUN'  and  must  not  have  been modified after LhASFX generated
     them.  





















     


     


                             Table Of Contents

                                LhASFX V1.2

     0 - LhA     ................................................    1
     1 - Introduction     .......................................    1
     2 - System requirements    .................................    1
     3 - How to use it  .........................................    1
        3.1 `.displayme' files     ..............................    2
     4 - Limitations of the SFX module ..........................    3
     5 Politics      ............................................    4
        5.1 Using LhASFX for distribution   .....................    4










































                                   - I -

